Option Strict Off
Public Class 個人帳號管理
    Dim ds As New DataSet
    Private Sub Set_使用者資料()
        SQL_個人帳號管理_使用者資料查詢()
        If dr.Read() Then : 姓名_tb.Text = dr("姓名").ToString : 帳號_tb.Text = dr("帳號").ToString : 密碼_tb.Text = dr("密碼").ToString
        End If : conn.Close() : dr.Close()
    End Sub
    Private Sub 個人帳號管理_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        FormBorderStyle = FormBorderStyle.SizableToolWindow
        Set_使用者資料()
        姓名_tb.Enabled = False : 帳號_tb.Enabled = False
    End Sub
    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        If 姓名_tb.Text = "" Or 帳號_tb.Text = "" Or 密碼_tb.Text = "" Then
            MsgBox("輸入資料有誤")
        Else
            SQL_個人帳號管理_使用者資料修改() : conn.Close() : MsgBox("修改完成")
        End If
        Set_使用者資料()
    End Sub
End Class